# RSL_radtec_to_radar

### Synopsis

#include "rsl.h"
Radar *RSL_radtec_to_radar(char *infile);

### Description

Reads a RADTEC (SPANDAR) file and returns a pointer to the Radar structure. The input file is specified by the string infile. If infile is NULL, then stdin is read. The data is compressed with PKWARE implode. RSL needs to be installed with -DHAVE_PKWARE in order to used RSL_radtec_to_radar.

The radar structure is, essentially, an array of Volumes. These volumes represent the reflectivity, velocity and spectrum width fields.

### Return value

Upon successful completion, RSL_radtec_to_radar returns a pointer to the structure Radar. Otherwise, NULL is returned. A valid Radar structure will be returned if the infile is valid.

### See also

RSL_anyformat_to_radar

Author: John H. Merritt.